import atom.core
import gdata.data
import atom.data

YA_FOTKI_TEMPLATE = '{yandex:fotki}%s'


class ImageCount(atom.core.XmlElement):
    _qname = YA_FOTKI_TEMPLATE % 'image-count'
    value = 'value'

class Access(atom.core.XmlElement):
    _qname = YA_FOTKI_TEMPLATE % 'access'
    value = 'value'

class AlbumEntry(gdata.data.GDEntry):
    _qname = atom.data.ATOM_TEMPLATE % 'entry'
    imageCount = ImageCount

class AlbumFeed(gdata.data.GDFeed):
    _qname = atom.data.ATOM_TEMPLATE % 'feed'
    entry = [AlbumEntry]


class PhotoEntry(gdata.data.GDEntry):
    _qname = atom.data.ATOM_TEMPLATE % 'entry'
    access = Access

    def find_html_link(self):
        for link in self.link:
            if link.rel == 'alternate':
                return link.href
        return None

class PhotoFeed(gdata.data.GDFeed):
    _qname = atom.data.ATOM_TEMPLATE % 'feed'
    entry = [PhotoEntry]

