#!/usr/bin/python

import re
import sys
import getpass
import gdata.client
from YaFotki import *
from auth import *

if len(sys.argv) < 2:
    print "Usage: " + sys.argv[0] + " username"
    sys.exit(1)
username = sys.argv[1]
password = None
while not password:
    password = getpass.getpass()

auth = YandexAuth(username, password, 'fotki.yandex.ru')
auth_token = auth.getAuthToken()

gd_client = gdata.client.GDClient()
url = 'http://api-fotki.yandex.ru/api/users/%s/albums/' % username
albums = gd_client.get_feed(url, auth_token=auth_token, desired_class=AlbumFeed)
for album in albums.entry:
    id = re.match('^.*:([0-9]*)$', album.get_id())
    if id:
        id = id.group(1)
    print id, album.title.text.encode('utf-8'), '('+album.imageCount.value+')'
