#!/usr/bin/python

import sys
import getpass
import atom.service
import gdata.client
from YaFotki import *
from auth import *

if len(sys.argv) < 4:
    print "Usage: " + sys.argv[0] + " username album-id files..."
    sys.exit(1)
username = sys.argv[1]
albumid = sys.argv[2]
files = sys.argv[3:]
password = None
while not password:
    password = getpass.getpass()

auth = YandexAuth(username, password, 'fotki.yandex.ru')
auth_header = auth.getAuthHeader()

client = atom.service.AtomService(additional_headers={'Authorization': auth_header})
client.server = 'api-fotki.yandex.ru'
url = 'http://api-fotki.yandex.ru/api/users/%s/album/%s/photos/' % (username, albumid)

# upload
for file in files:
    f = open(file, 'r')
    data = f.read()
    f.close()

    http_response = client.Post(data, url, content_type='image/jpeg')
    if http_response.status != 201:
        raise RuntimeError('Failed to upload ' + file)
    response_body = http_response.read()

    entry = atom.core.parse(response_body, PhotoEntry)
    print "Uploaded " + file + ": " + entry.find_html_link()

